Bug 1120045 - pki-core: Switch to java-headless (build)requires -- drop dependency on java-atk-wrapper
Summary: pki-core: Switch to java-headless (build)requires -- drop dependency on java-...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pki-core
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1037248 1068483
Blocks: 1067528
TreeView+ depends on / blocked
 
Reported: 2014-07-16 06:55 UTC by Jan Pazdziora
Modified: 2014-08-31 13:37 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1068483
Environment:
Last Closed: 2014-08-31 13:37:45 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2014-07-16 06:55:58 UTC
+++ This bug was initially created as a clone of Bug #1068483 +++

pki-core or one of its subpackages currently Requires and/or BuildRequires
java. OpenJDK package has been split and most packages should now Require
package 'java-headless' instead. Requires and BuildRequires on java-devel remain
unchanged.

Few exceptions where packages can not use java-headless but must keep using
full java package.
 * software using Java awt subsystem
 * software using Java sound subsystem

Your options:
1. Leave this bug untouched and after March 17th 2014 an automated tool will
   migrate this package to java-headless and run a rebuild in Fedora Rawhide.
2. Change bug to 'Assigned' if you plan to review and migrate to java-headless
   manually. Automated tool will not touch bugs that are not in NEW state.

See tracking bug #1067528 or Headless Java change proposal[1] and Java Packaging
guidelines[2] for more details about this change.

If you have more questions about this change feel free to ask on java-devel
mailing list[3] or #fedora-java Freenode IRC channel (mostly 9:00-18:00 CET).


[1] https://fedoraproject.org/wiki/Changes/HeadlessJava
[2] https://fedoraproject.org/wiki/Packaging:Java\#BuildRequires_and_Requires
[3] http://lists.fedoraproject.org/pipermail/java-devel/

--- Additional comment from Mikolaj Izdebski on 2014-03-28 22:18:52 CET ---

Fixed in pki-core-10.2.0-0.2

--- Additional comment from Jan Pazdziora on 2014-05-30 13:36:26 CEST ---

Is there any plan to bring this to Fedora 20 as well?

--- Additional comment from Jan Pazdziora on 2014-05-30 13:38:02 CEST ---

Also, it looks like the build of pki-core-10.2.0-0.2.fc21 failed: http://koji.fedoraproject.org/koji/taskinfo?taskID=6684510. Shouldn't this bugzilla be back to ASSIGNED, not to MODIFIED?

--- Additional comment from Mikolaj Izdebski on 2014-05-30 14:29:23 CEST ---

(In reply to Jan Pazdziora from comment #2)
> Is there any plan to bring this to Fedora 20 as well?

No. Headless Java is a F-21 feature.

(In reply to Jan Pazdziora from comment #3)
> Also, it looks like the build of pki-core-10.2.0-0.2.fc21 failed:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6684510. Shouldn't this
> bugzilla be back to ASSIGNED, not to MODIFIED?

The fix has been checked into source control, but package hasn't been built, so MODIFIED is the correct state IMO.  The other bug ("-Werror=format-security") prevents me from building the package.

--- Additional comment from Peter Robinson on 2014-06-30 00:46:52 CEST ---

Any update of actually pushing this fix?

--- Additional comment from Matthew Harmsen on 2014-06-30 22:40:55 CEST ---

(In reply to Peter Robinson from comment #5)
> Any update of actually pushing this fix?

alee has just recently built a scratch build successfully (official builds are forthcoming)

--- Additional comment from Mikolaj Izdebski on 2014-07-07 13:59:38 CEST ---

I believe that this bug is fixed in pki-core-10.2.0-0.4,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=541355

--- Additional comment from Jan Pazdziora on 2014-07-14 11:24:49 CEST ---

Thanks, I confirm the change is in:

Processing Dependency: java-headless >= 1:1.7.0 for package: pki-ca-10.2.0-0.4.fc21.noarch

--- Additional comment from Jan Pazdziora on 2014-07-14 11:27:36 CEST ---

On the other hand, I see

Processing Dependency: java-atk-wrapper for package: pki-server-10.2.0-0.4.fc21.noarch

-- is that needed?

--- Additional comment from Jan Pazdziora on 2014-07-14 11:35:03 CEST ---

There was a bug 1068184 to have java-atk-wrapper depend on java-headless but Omair noted that dependency on the full JRE is probably needed. What specifically does pki-server need?

--- Additional comment from Mikolaj Izdebski on 2014-07-14 13:33:56 CEST ---

(In reply to Jan Pazdziora from comment #9)
> On the other hand, I see
> 
> Processing Dependency: java-atk-wrapper for package:
> pki-server-10.2.0-0.4.fc21.noarch
> 
> -- is that needed?

I don't know, I'm not maintainer of pki-core.

--- Additional comment from Matthew Harmsen on 2014-07-16 04:34:03 CEST ---

After conversations with Ade and Endi, it was determined that 'java-atk-wrapper' may have once been needed, but was probably no longer required.

Per Ade's suggestion, I removed the dependency, and successfully built the following scratch builds on Koji:

    Fedora 20:
    * http://koji.fedoraproject.org/koji/taskinfo?taskID=7147156
      * http://koji.fedoraproject.org/koji/taskinfo?taskID=7147161 (x86_64)
    
    Fedora 21:
    * http://koji.fedoraproject.org/koji/taskinfo?taskID=7147431
      * http://koji.fedoraproject.org/koji/taskinfo?taskID=7147435 (x86_64)

Additionally, as this was a runtime requirement, after removing the 'java-atk-wrapper' package, I successfully downloaded, installed, configured, and tested the Fedora 20 RPMS.

I will submit my patch for approval.

Comment 1 Matthew Harmsen 2014-07-16 21:56:12 UTC
Checked into master:

    bebc70bbf17e69b01d4449b20515031120dec0d5


Note You need to log in before you can comment on or make changes to this bug.